Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454940 - Review Request: rcssbase - Base libraries for Robocup Soccer Server (2D)
Summary: Review Request: rcssbase - Base libraries for Robocup Soccer Server (2D)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-10 22:06 UTC by Hedayat Vatankhah
Modified: 2008-08-12 18:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-08 05:15:21 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Hedayat Vatankhah 2008-07-10 22:06:35 UTC
Spec URL: http://www.assembla.com/spaces/hedayat/documents/dZnKuQtSOr3An4ab7jnrAJ/download/rcssbase.spec
SRPM URL: http://www.assembla.com/spaces/hedayat/documents/cOwRVEtSSr3zYrab7jnrAJ/download/rcssbase-12.1.0-1.fc9.src.rpm
Description: 
The RoboCup Soccer Simulator Server (rcssserver) is a research and educational
tool for mutli-agent systems and artificial intelligence. It allows 11
simulated autonomous robotic players to play soccer (football).

This package provides base libraries used by different simulation server
packages. Also, people who write agents for the server might find
these libraries useful. You should install this package if you want to run
such agents.

Comment 1 Hedayat Vatankhah 2008-07-10 22:33:11 UTC
A self review!:
- rpmlint output: rpmlint complains about absence of docs in the -devel
sub-package. I cannot find any relevant files to put as doc files for -devel package

- package name is equal to the upstream name
- spec file name is correct
- the package is under LGPLv2 or later
- License field matches with the actual license
- License file is included in the package docs
- the spec file is (hopefully!) in American English
- the spec file is legible (I think)
- source code matches upstream (I can't compare since I've only one package
which is what I downloaded from Internet and is included in the SRPM. Anyway the
md5sum output is: 13cc197d352744ff03b13360f8852e90  rcssbase-12.1.0.tar.gz

- I am able to build the package in Fedora 9 on my system (32bit)
- I'm not aware of any specific architectures which the package can't be built in
- It seems that Build Requires section is correct. I can build the package using
mock
- No locale specific stuff in this package
- Runs ldconfig in %post & %postun
- Package is not relocatable
- The package owns its directories
- Doesn't contain duplicate files 
- file permissions should be OK
- contains a %clean section
- have consistent use of macros
- header files are in -devel sub-pacakge. No -static package needed.
- -devel package requires the base package
- doesn't contain any .la files
- Not a GUI application
- calls rm -rf %{buildroot} in %install
- filenames are in UTF-8

Should Items:
- The package builds in python

Comment 2 Hedayat Vatankhah 2008-07-11 20:29:23 UTC
> - The package builds in python
Sorry, I wanted to say that the package can be built using mock!

Comment 3 Mamoru TASAKA 2008-07-12 16:39:11 UTC
For 12.1.0-1:

* License:
------------------------------------------------------------
rcssbase/conf/buildertest.cpp			GPLv2+
rcssbase/lib/factorytest/factorytest.cpp	GPLv2+
rcssbase/lib/loadertest/			GPLv2+
rcssbase/net/addrtest/addrtest.cpp		GPLv2+
rcssbase/net/iosocketstreamtest/iosocketstreamtest.cpp	GPLv2+
rcssbase/net/tcpsockettest/tcpsockettest.cpp	GPLv2+
rcssbase/net/udpsockettest/udpsockettest.cpp	GPLv2+
------------------------------------------------------------
  - %_bindir/rcssmodtest is licensed under GPLv2+.
    So please modify license tag like:
------------------------------------------------------------
Group:          Development/Libraries
# %%{_bindir}/rcssmodtest is licensed under GPLv2+, others
# are under LGPLv2+
License:        LGPLv2+ and GPLv2+
URL:            http://sourceforge.net/projects/sserver/
...
...
%package        devel
Summary:        Header files and libraries for %{name}
Group:          Development/Libraries
License:	LGPLv2+
...
------------------------------------------------------------

* build issue
  - build error:
    Does not build on x86_64:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=709246
    m4/ax_boost_base.m4 cannot deal with /usr/lib64 correctly.
    The following can be a workaround:
------------------------------------------------------------
%prep
%setup -q
%patch0 -p1 -b .gcc43fix
%patch1 -p1 -b .libfix
find -name "*.cpp" -exec chmod a-x {} \;
find -name "*.hpp" -exec chmod a-x {} \;
sed -i.lib \
	-e 's|\$ac_boost_path/lib|\$libdir|' \
	-e 's|$ac_boost_path_tmp/lib|\$libdir|' \
	m4/ax_boost_base.m4
------------------------------------------------------------

   - Undesired autotools call
     build.log shows:
------------------------------------------------------------
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h
config.status: executing depfiles commands
+ sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
+ make -j4
cd . && /bin/sh /builddir/build/BUILD/rcssbase-12.1.0/missing --run autoheader
rm -f stamp-h1
touch config.h.in
cd . && /bin/sh ./config.status config.h
config.status: creating config.h
config.status: config.h is unchanged
make  all-recursive
make[1]: Entering directory `/builddir/build/BUILD/rcssbase-12.1.0'
------------------------------------------------------------
     Here autoheader is called after configure is finished, which is
     not desired. Usually this means timestamps on some autotool related files
     are not right.
     Using "autoreconf -f -i" instead of "autotool -i" fixes this issue

   - And please move autoreconf call from %build to at the last of %prep.

* configure option
  - build.log shows:
------------------------------------------------------------
   289  checking for deflate in -lz... 
   290  no
   449  checking ltdl.h usability... 
   450  no
   451  checking ltdl.h presence... 
   452  no
   453  checking for ltdl.h... no
   454  checking whether to use included libltdl... 
------------------------------------------------------------
    However both zlib-devel and libtool-ltdl-devel are available so
    please add these to BuildRequires.

* Timestamps
  - For this package CPPROG="cp -p" is not needed as this package does not
    use install-sh.

* rpath 
  - rpath check does not pass on 64 bit (currently koji down and I cannot
    post the build result done on koji build
    The following can be a workaround:
------------------------------------------------------------
autoreconf -fi
# Fix rpath
sed -i.rpath -e '/sys_lib_search_path_spec/s| /usr/lib| /lib64 /usr/lib64
/usr/lib|' \
	configure
------------------------------------------------------------
    (again please move autoconf call to %prep)
  

Comment 4 Mamoru TASAKA 2008-07-12 16:56:34 UTC
(In reply to comment #3)
> For 12.1.0-1:
>
> * rpath 
>   - rpath check does not pass on 64 bit (currently koji down and I cannot
>     post the build result done on koji build

This is:
http://koji.fedoraproject.org/koji/taskinfo?taskID=710377

Comment 5 Mamoru TASAKA 2008-07-21 06:39:07 UTC
ping?

Comment 6 Hedayat Vatankhah 2008-07-23 19:58:39 UTC
Hi,
I'm so sorry about it! I didn't expect that I could finally participate in
RoboCup 2008 competitions but it happened! So, I couldn't correct the problems
and build a newer package. Sorry for being quiet during this period. I'm still
in china but we will return back soon. I didn't find enough time to talk about
it here. sorry again.


Comment 8 Mamoru TASAKA 2008-07-30 14:50:03 UTC
Looks okay, however current newest version seems 12.1.1.
Would you upgrade?

Comment 9 Hedayat Vatankhah 2008-08-01 21:09:04 UTC
OK, I will.

Comment 10 Mamoru TASAKA 2008-08-02 02:21:53 UTC
Removing NEEDSPONSOR (bug 450409)

Comment 12 Mamoru TASAKA 2008-08-04 15:59:44 UTC
Good.

-----------------------------------------------------------------
    This package (rcssbase) is APPROVED by mtasaka
-----------------------------------------------------------------

Comment 13 Hedayat Vatankhah 2008-08-04 18:53:58 UTC
Thanks.

New Package CVS Request
=======================
Package Name: rcssbase
Short Description: Base libraries for Robocup Soccer Server (2D)
Owners: hedayat
Branches: F-8 F-9
Cvsextras Commits: yes

Comment 14 Kevin Fenzi 2008-08-05 16:39:06 UTC
cvs done.

Comment 15 Fedora Update System 2008-08-07 18:51:10 UTC
rcssbase-12.1.1-1.fc9 has been submitted as an update for Fedora 9

Comment 16 Fedora Update System 2008-08-07 18:53:40 UTC
rcssbase-12.1.1-1.fc8 has been submitted as an update for Fedora 8

Comment 17 Mamoru TASAKA 2008-08-08 05:15:21 UTC
Closing.

Comment 18 Fedora Update System 2008-08-12 18:20:51 UTC
rcssbase-12.1.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2008-08-12 18:21:20 UTC
rcssbase-12.1.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.